Category:    
Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::FilterSDK

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

I wanted to inform you about a problem in the example of Streaming Sources.

https://support.digitalwerk.net/adtf/v3/guides/sdk_streaming_source.html

While generating the VS 2017 solution using cmake gui, an error occurs (see Capture.PNG). I have attached the cmake logs.

The problem is that filter adtf::filtersdk is not found.

The workaround was to add filtersdk to the required components in CMakeLists.txt

find_package(ADTF COMPONENTS systemsdk REQUIRED filtersdk REQUIRED)

Lösung

Will be fixed in ADTF 3.7.0 for both guides, Streaming Source and Streaming Sink.

Note:

find_package(ADTF COMPONENTS systemsdk filtersdk REQUIRED)

 is enough

History

#1 - 2020-04-03 10:56 - hidden

used versions:

ADTF/3.6.3@dw/stable conan package

cmake 3.15.1

#2 - 2020-04-03 14:55 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

- Customer set to AUDI

#3 - 2020-04-03 14:55 - hidden

- Affected Products ADTF 3.6.3 added

#7 - 2020-04-06 12:31 - hidden

- Project changed from 4 to Public Support

- Subject changed from Problem in 'Streaming Sources' Example CMake to Missing filtersdk dependency in guides for Streaming Source and Sink

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue
https://support.digitalwerk.net/adtf/v3/guides/sdk_streaming_source.html


Hallo Samer,

thanks for the report, will be fixed in ADTF 3.7.0 for both guides, Streaming Source and Streaming Sink.

Note:

find_package(ADTF COMPONENTS systemsdk filtersdk REQUIRED)

#10 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed

Files

Capture.PNG 44.6 KB 2020-04-03 hidden

cmake_logs.txt 2.81 KB 2020-04-03 hidden
